NoSystemException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, class: NoSystemException

Package org.apache.geode

# Class NoSystemException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.NoSystemException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `UncreatedSystemException`, `UnstartedSystemException`

public class NoSystemException extends GemFireException
A `NoSystemException` is thrown when a locator can not be found or connected to. In most cases one of the following subclasses is used instead of `NoSystemException`:

- `UncreatedSystemException`
- `UnstartedSystemException`

As of GemFire 5.0 this exception should be named NoLocatorException.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoSystemException(String message)`
  Creates a new `NoSystemException`.
  `NoSystemException(String message, Throwable cause)`
  Creates a new `NoSystemException` with the given message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoSystemException

    public NoSystemException(String message)
    Creates a new `NoSystemException`.
    Parameters:
      `message` - the detail message

  - ### NoSystemException

    public NoSystemException(String message, Throwable cause)
    Creates a new `NoSystemException` with the given message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause